FlowInfo
Keywords: net.corda.core.flows.FlowInfo class
Date: 2023-09-18

net.corda.core.flows

## Class FlowInfo

- net.corda.core.flows.FlowInfo

-     public class FlowInfo

  Version and name of the CorDapp hosting the other side of the flow.

- - ### Constructor Detail

    - #### FlowInfo

          public FlowInfo(int flowVersion,
                          @NotNull
                          java.lang.String appName)

      Version and name of the CorDapp hosting the other side of the flow.

      Parameters:
        `flowVersion` - The integer flow version the other side is using.
        `appName` - Name of the CorDapp jar hosting the flow, without the .jar extension. It will include a unique identifierto deduplicate it from other releases of the same CorDapp, typically a version string. See theCorDapp JAR format for more details.

  - ### Method Detail

    - #### getFlowVersion

          public int getFlowVersion()

      The integer flow version the other side is using.

      See Also:
        `annotationclass InitiatingFlow`

    - #### getAppName

          @NotNull
          public java.lang.String getAppName()

      Name of the CorDapp jar hosting the flow,

      without the .jar extension. It will include a unique identifierto deduplicate it from other releases of the same CorDapp, typically a version string. See theCorDapp JAR format for more details.

      See Also:
        CorDapp JAR format

    - #### component1

          public int component1()

      The integer flow version the other side is using.

      See Also:
        `annotationclass InitiatingFlow`

    - #### component2

          @NotNull
          public java.lang.String component2()

      Name of the CorDapp jar hosting the flow,

      without the .jar extension. It will include a unique identifierto deduplicate it from other releases of the same CorDapp, typically a version string. See theCorDapp JAR format for more details.

      See Also:
        CorDapp JAR format

    - #### copy

          @NotNull
          public FlowInfo copy(int flowVersion,
                                        @NotNull
                                        java.lang.String appName)

      Version and name of the CorDapp hosting the other side of the flow.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Version and name of the CorDapp hosting the other side of the flow.

    - #### hashCode

          public int hashCode()

      Version and name of the CorDapp hosting the other side of the flow.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Version and name of the CorDapp hosting the other side of the flow.